Page MenuHomePhabricator

Next Phabricator Upgrade | 2016-05-05
Closed, ResolvedPublic

Description

MediaWiki / Phabricator / Maintenance


Tasks solved upstream but still not deployed on phabricator.wikimedia.org should add this task as blocker. When there are significant / important blockers, @mmodell will pull from upstream and deploy during the soonest available deployment window.

Deployment Details:

Upstream Changelog

https://secure.phabricator.com/w/changelog/2016.18/

Event Details

2016-W18 / Thursday May 5th, 2016 01:00 UTC

Other Deployments:

T128009: Next Phabricator Upgrade | 2016-04-28 T134443: Next Phabricator Update - 2016-05-18

Event Timeline

Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptApr 27 2016, 11:26 PM
mmodell claimed this task.Apr 28 2016, 12:28 AM
mmodell triaged this task as Medium priority.Apr 28 2016, 10:05 AM
Luke081515 updated the task description. (Show Details)Apr 28 2016, 3:14 PM

According to https://secure.phabricator.com/w/changelog/2016.18/

It adds a missing table (See below for a bit from the changelog)

•Fixed an issue where changing the visibility on a custom form could fail on a missing edge table.

Also it fixes copying the header in firefox

•Triple clicking task titles now selects the entire title in Firefox.

And it now has even more support for high availability.

And

•Font files and other nonstandard resource files should cache better, now.

mmodell renamed this task from Future Phabricator Update to Next Phabricator Upgrade | 2016-05-05.May 4 2016, 8:32 PM
mmodell updated the task description. (Show Details)
Restricted Application added a subscriber: Negative24. · View Herald TranscriptMay 4 2016, 8:32 PM
mmodell updated the task description. (Show Details)May 4 2016, 8:40 PM
Luke081515 updated the task description. (Show Details)
Luke081515 moved this task from To Triage to Doing on the Phabricator board.

I don't think you deploy HEAD of master, but just as a heads up, some sweeping changes to Diffusion just landed and you may want to give them some time (e.g., more than 24 hours) before deploying them. Downstream task:

d853864 is the last commit before you're in the danger zone.

stable for 2016 Week 18 is safe, although it doesn't include the fix for dragging tasks within a milestone column doing funky things with projects (see https://secure.phabricator.com/T10912). I can cherry-pick that onto stable if it would make things easier.

Oh, from poking around in the tag it looks like it's stable. Should be all set, then.

@epriestley: Thanks for the heads-up. I try follow along pretty closely with the upstream changelog and git log. And I rarely deploy things from upstream/master.

mmodell closed this task as Resolved.May 5 2016, 12:27 AM
Danny_B moved this task from Doing to Upgrades on the Phabricator board.Jul 12 2016, 12:21 PM